function $AdfDhtmlPageProcessingIndicator$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfDhtmlPageProcessingIndicator", $AdfDhtmlPageProcessingIndicator$$);
$AdfObject$$.$createSubclass$($AdfDhtmlPageProcessingIndicator$$);
$AdfDhtmlPageProcessingIndicator$$.$InitClass$ = function $$AdfDhtmlPageProcessingIndicator$$$$InitClass$$() {
};
$AdfDhtmlPageProcessingIndicator$$.prototype.Init = function $$AdfDhtmlPageProcessingIndicator$$$$Init$() {
  $AdfDhtmlPageProcessingIndicator$$.$superclass$.Init.call(this);
  this.$_displayed$ = !1;
  this.$_backgroundColor$ = this.$_element$ = null;
};
$AdfDhtmlPageProcessingIndicator$$.$_createInstance$ = function $$AdfDhtmlPageProcessingIndicator$$$$_createInstance$$() {
  $AdfDhtmlPageProcessingIndicator$$.$_theInstance$ = new $AdfDhtmlPageProcessingIndicator$$;
};
$AdfDhtmlPageProcessingIndicator$$.$getInstance$ = function $$AdfDhtmlPageProcessingIndicator$$$$getInstance$$() {
  null == $AdfDhtmlPageProcessingIndicator$$.$_theInstance$ && $AdfDhtmlPageProcessingIndicator$$.$_createInstance$();
  return $AdfDhtmlPageProcessingIndicator$$.$_theInstance$;
};
$goog$exportSymbol$$("AdfDhtmlPageProcessingIndicator.getInstance", $AdfDhtmlPageProcessingIndicator$$.$getInstance$);
$AdfDhtmlPageProcessingIndicator$$.prototype.$_position$ = function $$AdfDhtmlPageProcessingIndicator$$$$$_position$$($documentElem_ownerDoc$$16$$) {
  var $bodyElem$$1$$ = $documentElem_ownerDoc$$16$$.body;
  $documentElem_ownerDoc$$16$$ = $documentElem_ownerDoc$$16$$.documentElement;
  var $element$$268$$ = this.$_element$, $left$$18$$ = $bodyElem$$1$$.scrollLeft + $bodyElem$$1$$.clientWidth / 2 - $element$$268$$.offsetWidth / 2, $top$$20$$ = $bodyElem$$1$$.scrollTop + $bodyElem$$1$$.clientHeight / 2 - $element$$268$$.offsetHeight / 2;
  $documentElem_ownerDoc$$16$$.clientWidth > $bodyElem$$1$$.scrollWidth && ($left$$18$$ = $documentElem_ownerDoc$$16$$.clientWidth / 2 - $element$$268$$.offsetWidth / 2);
  $documentElem_ownerDoc$$16$$.clientHeight > $bodyElem$$1$$.scrollHeight && ($top$$20$$ = $documentElem_ownerDoc$$16$$.clientHeight / 2 - $element$$268$$.offsetHeight / 2);
  $element$$268$$.style.left = $left$$18$$ + "px";
  $element$$268$$.style.top = $top$$20$$ + "px";
};
$AdfDhtmlPageProcessingIndicator$$.prototype.display = function $$AdfDhtmlPageProcessingIndicator$$$$display$($show$$5$$, $ownerDoc$$17$$) {
  if (null == this.$_element$) {
    var $element$$inline_3077$$ = $ownerDoc$$17$$.createElement("div"), $agent$$inline_3078$$ = $AdfAgent$$.$AGENT$;
    $element$$inline_3077$$.className = "RichPageProcessingIndicator";
    $ownerDoc$$17$$.body.appendChild($element$$inline_3077$$);
    var $elementStyle$$inline_3079$$ = $agent$$inline_3078$$.getComputedStyle($element$$inline_3077$$);
    this.$_backgroundColor$ = $elementStyle$$inline_3079$$.backgroundColor;
    var $image$$inline_3080$$ = $ownerDoc$$17$$.createElement("img"), $imageSource$$inline_3081$$ = $elementStyle$$inline_3079$$.backgroundImage, $imageSource$$inline_3081$$ = $imageSource$$inline_3081$$.replace(/url\(/g, "").replace(/\"|\)|\'/g, "");
    $agent$$inline_3078$$.$setImageSource$($image$$inline_3080$$, $imageSource$$inline_3081$$);
    $image$$inline_3080$$.src = $imageSource$$inline_3081$$;
    $image$$inline_3080$$.style.width = $elementStyle$$inline_3079$$.width;
    $image$$inline_3080$$.style.height = $elementStyle$$inline_3079$$.height;
    $element$$inline_3077$$.appendChild($image$$inline_3080$$);
    $element$$inline_3077$$.style.backgroundImage = "none";
    $element$$inline_3077$$.style.position = "absolute";
    $element$$inline_3077$$.style.zIndex = 32001;
    this.$_element$ = $element$$inline_3077$$;
  }
  $show$$5$$ && !this.$_displayed$ ? (this.$_element$.style.visibility = "visible", this.$_position$($ownerDoc$$17$$), this.$_displayed$ = !0) : !$show$$5$$ && this.$_displayed$ && (this.$_element$.style.visibility = "hidden", this.$_displayed$ = !1);
};
$goog$exportSymbol$$("AdfDhtmlPageProcessingIndicator.prototype.display", $AdfDhtmlPageProcessingIndicator$$.prototype.display);
$AdfDhtmlPageProcessingIndicator$$.prototype.$isDisplayed$ = function $$AdfDhtmlPageProcessingIndicator$$$$$isDisplayed$$() {
  return this.$_displayed$;
};
$goog$exportSymbol$$("AdfDhtmlPageProcessingIndicator.prototype.isDisplayed", $AdfDhtmlPageProcessingIndicator$$.prototype.$isDisplayed$);
$AdfDhtmlPageProcessingIndicator$$.prototype.$getBackgroundColor$ = function $$AdfDhtmlPageProcessingIndicator$$$$$getBackgroundColor$$() {
  return this.$_backgroundColor$;
};
$goog$exportSymbol$$("AdfDhtmlPageProcessingIndicator.prototype.getBackgroundColor", $AdfDhtmlPageProcessingIndicator$$.prototype.$getBackgroundColor$);
